Skip to main content
GET
/
api
/
v1
/
cardholders
curl "https://api.agentcard.sh/api/v1/cardholders?limit=10" \
  -H "Authorization: Bearer sk_test_..."
{
  "cardholders": [
    {
      "id": "ch_abc123",
      "firstName": "Alice",
      "lastName": "Smith",
      "email": "alice@example.com",
      "dateOfBirth": "1990-01-15T00:00:00.000Z",
      "phoneNumber": null,
      "createdAt": "2026-03-10T12:00:00.000Z",
      "updatedAt": "2026-03-10T12:00:00.000Z"
    }
  ],
  "total": 1,
  "limit": 10,
  "offset": 0
}
Returns a paginated list of cardholders belonging to your organization.

Query parameters

limit
integer
default:"50"
Number of cardholders to return. Min 1, max 100.
offset
integer
default:"0"
Number of cardholders to skip for pagination.

Response

cardholders
array
Array of cardholder objects.
total
integer
Total number of cardholders.
limit
integer
The limit used for this request.
offset
integer
The offset used for this request.
curl "https://api.agentcard.sh/api/v1/cardholders?limit=10" \
  -H "Authorization: Bearer sk_test_..."
{
  "cardholders": [
    {
      "id": "ch_abc123",
      "firstName": "Alice",
      "lastName": "Smith",
      "email": "alice@example.com",
      "dateOfBirth": "1990-01-15T00:00:00.000Z",
      "phoneNumber": null,
      "createdAt": "2026-03-10T12:00:00.000Z",
      "updatedAt": "2026-03-10T12:00:00.000Z"
    }
  ],
  "total": 1,
  "limit": 10,
  "offset": 0
}